# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/06_qc_pipeline.ipynb.

# %% auto 0
__all__ = ['cli']

# %% ../nbs/06_qc_pipeline.ipynb 2
import os
import re
from bps_fbi_sp_ecoli import (
    core,
    helpers,
    run_ecolityping,
    run_postecolityping,
    run_qcecolisummary,
)

# %% ../nbs/06_qc_pipeline.ipynb 4
# add into settings.ini, requirements, package name is fastcore, for conda build ensure `conda config --add channels fastai`
from fastcore.script import call_parse
import os


@call_parse
def cli(
    config_file1=None,  # Config file to type
    config_file2=None,  # Config file to process results
    config_file3=None,  # Config file to summarize
) -> None:
    """
    Takes associated config files and runs full QC pipeline which is check for runs not demuxed, demultiplexes them, then runs QC on them
    """
    run_ecolityping.cli(
        config_file=config_file1
    )  # Run samples against ecoligenesdb using kma
    run_postecolityping.cli(config_file=config_file2)  # Process kma results
    run_qcecolisummary.cli(config_file=config_file3)  # Summarize results
